diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/rewrite.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/rewrite.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/rewrite.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/rewrite.php	2012-10-29 12:35:29.000000000 -0500
***************
*** 1537,1543 ****
  		$registration_pages['.*wp-register.php$'] = $this->index . '?register=true'; // Deprecated
  
  		// Post
! 		$post_rewrite = $this->generate_rewrite_rules( $this->permalink_structure, EP_PERMALINK, false );
  		$post_rewrite = apply_filters('post_rewrite_rules', $post_rewrite);
  
  		// Date
--- 1537,1543 ----
  		$registration_pages['.*wp-register.php$'] = $this->index . '?register=true'; // Deprecated
  
  		// Post
! 		$post_rewrite = $this->generate_rewrite_rules( $this->permalink_structure, EP_PERMALINK );
  		$post_rewrite = apply_filters('post_rewrite_rules', $post_rewrite);
  
  		// Date
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/taxonomy.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/taxonomy.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/taxonomy.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/taxonomy.php	2012-10-29 12:35:29.000000000 -0500
***************
*** 1926,1931 ****
--- 1926,1935 ----
  	if ( !empty($orderby) )
  		$orderby = "ORDER BY $orderby";
  
+ 	$order = strtoupper( $order );
+ 	if ( '' !== $order && ! in_array( $order, array( 'ASC', 'DESC' ) ) )
+ 		$order = 'ASC';
+ 
  	$taxonomies = "'" . implode("', '", $taxonomies) . "'";
  	$object_ids = implode(', ', $object_ids);
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/theme.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/theme.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/theme.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/theme.php	2012-10-29 12:35:29.000000000 -0500
***************
*** 1629,1639 ****
   * @since 3.4.0
   *
   * @param string $stylesheet Optional. Theme to customize. Defaults to current theme.
   */
  function wp_customize_url( $stylesheet = null ) {
  	$url = admin_url( 'customize.php' );
  	if ( $stylesheet )
! 		$url .= '?theme=' . $stylesheet;
  	return esc_url( $url );
  }
  
--- 1629,1640 ----
   * @since 3.4.0
   *
   * @param string $stylesheet Optional. Theme to customize. Defaults to current theme.
+  * 	The theme's stylesheet will be urlencoded if necessary.
   */
  function wp_customize_url( $stylesheet = null ) {
  	$url = admin_url( 'customize.php' );
  	if ( $stylesheet )
! 		$url .= '?theme=' . urlencode( $stylesheet );
  	return esc_url( $url );
  }
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/version.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/version.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/version.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/version.php	2012-10-29 12:35:29.000000000 -0500
***************
*** 4,24 ****
   *
   * @global string $wp_version
   */
! $wp_version = '3.4.1';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
   *
   * @global int $wp_db_version
   */
! $wp_db_version = 21115;
  
  /**
   * Holds the TinyMCE version
   *
   * @global string $tinymce_version
   */
! $tinymce_version = '349-20805';
  
  /**
   * Holds the cache manifest version
--- 4,24 ----
   *
   * @global string $wp_version
   */
! $wp_version = '3.4.2';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
   *
   * @global int $wp_db_version
   */
! $wp_db_version = 21707;
  
  /**
   * Holds the TinyMCE version
   *
   * @global string $tinymce_version
   */
! $tinymce_version = '349-21274';
  
  /**
   * Holds the cache manifest version
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-load.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-load.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-load.php	2012-08-30 12:42:12.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-load.php	2012-10-29 12:35:29.000000000 -0500
***************
*** 48,55 ****
  	require_once( ABSPATH . WPINC . '/load.php' );
  	require_once( ABSPATH . WPINC . '/version.php' );
  
- 	wp_load_translations_early();
  	wp_check_php_mysql_versions();
  
  	// Die with an error message
  	$die  = __( "There doesn't seem to be a <code>wp-config.php</code> file. I need this before we can get started." ) . '</p>';
--- 48,57 ----
  	require_once( ABSPATH . WPINC . '/load.php' );
  	require_once( ABSPATH . WPINC . '/version.php' );
  
  	wp_check_php_mysql_versions();
+ 	wp_load_translations_early();
+ 
+ 	require_once( ABSPATH . WPINC . '/functions.php' );
  
  	// Die with an error message
  	$die  = __( "There doesn't seem to be a <code>wp-config.php</code> file. I need this before we can get started." ) . '</p>';
